local errType = {}

errType.codes = {
    ParseError = -32700,
    InvalidRequest = -32600,
    MethodNotFound = -32601,
    InvalidParams = -32602,
    InternalError = -32603,
    ServerError = -32000
}

errType.messages = {
    ParseError = 'Parse error',
    InvalidRequest = 'Invalid Request',
    MethodNotFound = 'Method not found',
    InvalidParams = 'Invalid params',
    InternalError = 'Internal error',
    ServerError = 'Server error'
}

function errType.getMsgFromCode(code)
    for key, value in pairs(errType.codes) do
        if value == code then
            for keyMsg, valMsg in pairs(errType.messages) do
                if key == keyMsg then
                    return valMsg
                end
            end
        end
    end
    return nil;
end

return errType
