local utils = require 'utils'

local Disks_GetState = {}

function Disks_GetState.invoke(...)
    local stdout, err, errMsg = utils.shell({'df', '-T'})
    if err ~= nil then
        return nil, err, errMsg
    end
    
    local lines = utils.split(stdout, '\n')
    
    local fileSystems = {}
    
    for key, line in pairs(lines) do
        local filesystem, type, blocks, usedBlocks, available, used, mounted = string.match(line, "(%S+)%s+(%w+)%s+(%d+)%s+(%d+)%s+(%d+)%s+(%d+)%%%s+([%/|%w]+)")
        
        if filesystem ~= nil then
            local fs = {}
            fs.filesystem = filesystem
            fs.blocks = blocks
            fs.usedBlocks = usedBlocks
            fs.available = available
            fs.usedPercent = used
            fs.mounted = mounted
            fs.type = type
            
            table.insert(fileSystems, fs)
        end
    end
    
    return fileSystems
end

return Disks_GetState
