local errType = require 'errType'
local exec = require 'resty.exec'
local utils = require 'utils'

local FileSystem_Copy = {}

function FileSystem_Copy.invoke(args)
    local source
    local destination
    
    if args ~= nil then
        if utils.isArray(args) then
            if #args >= 1 then
                source = args[1]
            end
            if #args >= 2 then
                destination = args[2]
            end
        else
            source = args.source
            destination = args.destination
        end
    end
    
    if source == nil or type(source) ~= 'string' then
        return nil, errType.codes.InvalidParams, 'Failed to read parameter \'source\'.'
    end
    if destination == nil or type(destination) ~= 'string' then
        return nil, errType.codes.InvalidParams, 'Failed to read parameter \'destination\'.'
    end
    
    local stdout, err, errMsg = utils.shell({'cp', '-R', source, destination})
    if err ~= nil then
        return nil, err, errMsg
    end
end

return FileSystem_Copy
