local errType = require 'errType'
local utils = require 'utils'

local FileSystem_Move = {}

function FileSystem_Move.invoke(args)
    local oldPath
    local newPath
    
    if args ~= nil then
        if utils.isArray(args) then
            if #args >= 1 then
                oldPath = args[1]
            end
            if #args >= 2 then
                newPath = args[2]
            end
        else
            oldPath = args.oldPath
            newPath = args.newPath
        end
    end
    
    if oldPath == nil or type(oldPath) ~= 'string' then
        return nil, errType.codes.InvalidParams, 'Failed to read parameter \'oldPath\'.'
    end
    if newPath == nil or type(newPath) ~= 'string' then
        return nil, errType.codes.InvalidParams, 'Failed to read parameter \'newPath\'.'
    end
    
    local stdout, err, errMsg = utils.shell({'mv', oldPath, newPath})
    if err ~= nil then
        return nil, err, errMsg
    end
end

return FileSystem_Move
