local errType = require 'errType'
local utils = require 'utils'

local FileSystem_SimpleList = {}

function FileSystem_SimpleList.invoke(args)
    local path
    
    if args ~= nil then
        if utils.isArray(args) then
            if #args >= 1 then
                path = args[1]
            end
        else
            path = args.path
        end
    end
    
    if path == nil or type(path) ~= 'string' then
        return nil, errType.codes.InvalidParams, 'Failed to read parameter \'path\'.'
    end
    
    local stdout, err, errMsg = utils.shell({'ls', '-1', path})
    if err ~= nil then
        return nil, err, errMsg
    end
    
    local lines = utils.split(stdout, '\n')
    return lines
end

return FileSystem_SimpleList
