local errType = require 'errType'
local utils = require 'utils'

local Hostname_SetConfig = {}

function Hostname_SetConfig.isHostnameValid(hostname)
    if hostname == nil then
        return false
    end
    if type(hostname) ~= 'string' then
        return false
    end
    return true
end

function Hostname_SetConfig.invoke(args)
    local hostname = nil
    
    if args ~= nil then
        if utils.isArray(args) and #args == 1 then
            hostname = args[1]
        else
            hostname = args.hostname
        end
    end
    
    local valid = Hostname_SetConfig.isHostnameValid(hostname)
    
    if valid == false then
        return nil, errType.codes.InvalidParams, 'Failed to read parameter \'hostname\'.'
    end
    
    local stdout, err, errMsg = utils.shell({'hostname', tostring(hostname)})
    if err ~= nil then
        return nil, err, errMsg
    end
    
    local res, err, errMsg = utils.writeToFile('/etc/hostname', hostname .. '\n')
    if res ~= nil then
        return nil, err, errMsg
    end
    return nil
end

return Hostname_SetConfig
