local utils = require 'utils'

local LoadAverage_GetState = {}

function LoadAverage_GetState.invoke(...)
    local stdout, err, errMsg = utils.shell({'cat', '/proc/loadavg'})
    if err ~= nil then
        return nil, err, errMsg
    end
    
    local load = {}
    local oneMin, fiveMins, fifteenMins, runningProcesses, totalProcessCount
    = string.match(utils.trim(stdout), '(%d+%.%d+)%s+(%d+%.%d+)%s+(%d+%.%d+)%s+(%d+)%/(%d+)')
    
    load.loadOverLast_1_Minute = tonumber(oneMin)
    load.loadOverLast_5_Minutes = tonumber(fiveMins)
    load.loadOverLast_15_Minutes = tonumber(fifteenMins)
    load.runningProcesses = tonumber(runningProcesses)
    load.processes = tonumber(totalProcessCount)
    
    return load
end

return LoadAverage_GetState
