local utils = require 'utils'
local errType = require 'errType'

local Meech_SetUsers = {}

function Meech_SetUsers.isPassValid(password)
    if password == nil then
        return false
    end
    if type(password) ~= 'string' then
        return false
    end
    
    -- TODO: check if valid
    return true
end

function Meech_SetUsers.invoke(args)
    
    if args == nil then
        return nil, errType.codes.InvalidParams, 'No arguments'
    end
    
    local oldPass = nil

    if utils.isArray(args) and #args >= 1 then
        oldPass = args[1]
    else
        oldPass = args.old_pass
    end
    
    local valid = Meech_SetUsers.isPassValid(oldPass)
    
    if valid == false then
        return nil, errType.codes.InvalidParams, 'Password is not valid.'
    end
        
    local users = nil
    if utils.isArray(args) and #args >= 2 then
        users = args[2]
    else
        users = args.users
    end
end

return Meech_SetUsers
