local utils = require 'utils'

local RamUsage_GetState = {}

function RamUsage_GetState.invoke(...)
    local stdout, err, errMsg = utils.shell({'cat', '/proc/meminfo'})
    if err ~= nil then
        return nil, err, errMsg
    end

    local lines = utils.split(stdout, '\n')
    local ram = {}
    
    for key, line in pairs(lines) do
        local param, value = string.match(line, "(%w+):%s+(%d+)")
        if param == 'MemTotal' then
            ram.total = value;
        end
        
        if param == 'MemFree' then
            ram.free = value;
        end
        
        if param == 'MemAvailable' then
            ram.available = value;
        end
        
        if ram.total and ram.free and ram.available then
            break
        end
    end
    
    return ram
end

return RamUsage_GetState
