local errType = require 'errType'
local exec = require 'resty.exec'
local utils = require 'utils'

local RexCore_SetConfig = {}

function RexCore_SetConfig.isActionValid(action)
    if action == nil then
        return false
    end
    if type(action) ~= 'string' then
        return false
    end
    if action ~= 'start' and action ~= 'stop' and action ~= 'restart' and action ~= 'enable' and action ~= 'disable' then
        return false
    end
    return true
end

function RexCore_SetConfig.invoke(args)
    local action = nil
    
    if args ~= nil then
        if utils.isArray(args) and #args == 1 then
            action = args[1]
        else
            action = args.action
        end
    end
    
    local valid = RexCore_SetConfig.isActionValid(action)
    
    if valid == false then
        return nil, errType.codes.InvalidParams, 'Parameter \'action\' is not valid.'
    end
    
    local stdout, err, errMsg = utils.shell({'systemctl', action, 'rexcore'})
    if err ~= nil then
        return nil, err, errMsg
    end
end

return RexCore_SetConfig
