local errType = require 'errType'
local utils = require 'utils'

local System_Shutdown = {}

function System_Shutdown.invoke(args)
    
    local action = nil
    
    if args ~= nil then
        if utils.isArray(args) and #args == 1 then
            action = args[1]
        else
            action = args.action
        end
    end
    
    local valid = false
    if type(action) == 'string' and (action == 'poweroff' or action == 'reboot') then
        valid = true
    end
    if valid == false then
        return nil, errType.codes.InvalidParams, 'Parameter \'action\' is invalid.'
    end
    
    if action == 'poweroff' then
        local stdout, err, errMsg = utils.shell({'systemctl', 'poweroff'})
        if err ~= nil then
            return nil, err, errMsg
        end
    else
        local stdout, err, errMsg = utils.shell({'systemctl', 'reboot'})
        if err ~= nil then
            return nil, err, errMsg
        end
    end
end

return System_Shutdown
