window.DWMConfig = {

  /*
      *Sidebar configuration section*
      
      Parameters:
      * name - mandatory - name of the menu
      * visible - optional - if set to false menu is hidden for everybody
      * acl - optional - list of users that can display the menu
      * default - optional - if set the menu will be used to display default screen
      * menuLabel - optional - text that will be placed in the menu as a link to the page
      * screenHeader - optional - text that will be displayed on top of the page in header of the page
      * screenHtmlTitle - optional - text that will be displayed in the title of the page

      Rearrange the position of menus in configuration to change the position of the menu on the website.

      Example of usage: 
      '''
      {
          name: 'Settings',
          visible: false,
          acl: ["admin"],
          default: true,
          menuLabel: 'Custom menu label',
          screenHeader: 'Custom header',
          screenHtmlTitle: 'Custom HTML title',
          submenus: [{
                  name: 'Hostname'
              },
              {
                  name: 'Date and time',                   
                  visible: false,
                  acl: ["admin"],
                  default: true,
              }
          ]
      }
      '''
  */
  menus: [{
      name: 'System resources'
    },
    {
      name: 'Basic network configuration'
    },
    {
      name: 'Network configuration'
    },
    {
      name: 'Settings',
      submenus: [{
          name: 'Hostname'
        },
        {
          name: 'Date and time'
        }
      ]
    },
    {
      name: 'Service'
    },
    {
      name: 'Security'
    },
    {
      name: 'File Browser'
    },
    {
      name: 'HMI'
    },
    {
      name: 'Logs'
    },
    {
      name: 'Meech - security',
      visible: false
    }
  ]
};
